Skip to navigation

Take Snapshot

Takes an on-demand snapshot of the specified resource.

This operation is asynchronous. It triggers a backup job and returns a job ID, which can be used to track the progress of the backup job. You can follow the progress of the backup job by calling Get Backup Job with the job ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the resource is in. You can get your project ID from the API Credentials page in your global management console.

idstringRequiredformat: "uuid"

Eon-assigned ID of the resource to back up.

Request

This endpoint expects an object.
vaultIdstringRequired

Eon-assigned ID of the vault to store the snapshot in.

retentionDaysintegerRequired
Number of days to retain the snapshot.

Response

Backup job started.
jobIdstringformat: "uuid"
Backup job ID.

Errors

429
Too Many Requests Error